#include "cmHandler.h"

/*enum respContIndices {
	GET_PITCH_P ,
	GET_PITCH_I ,
	GET_PITCH_D ,
	GET_PITCH	,
	GET_PITCH_RATE,
	GET_ROLL_P	,
	GET_ROLL_I	,
	GET_ROLL_D	,
	GET_ROLL	,
	GET_ROLL_RATE,
	GET_YAW_P	,
	GET_YAW_I	,
	GET_YAW_D	,
	GET_YAW		,
	GET_YAW_RATE,
	GET_HEIGHT_P,
	GET_HEIGHT_I,
	GET_HEIGHT_D,
	GET_HEIGHT	,
	GET_HEIGHT_RATE,
	GET_LAT_P	,
	GET_LAT_I	,
	GET_LAT_D	,
	GET_LAT		,
	GET_LONG_RATE,
	GET_LONG_P	,
	GET_LONG_I	,
	GET_LONG_D	,
	GET_LONG	,
	GET_LONG_RATE,
	MAX_COMMANDS
};*/

const char * respContStrings[MAX_COMMANDS] {
	"getrollp",
	"getrolli",
	"getrolld",
	"getroll",
	"getpitchp",
	"getpitchi",
	"getpitchd",
	"getpitch",
	"getyawp",
	"getyawi",
	"getyawd",
	"getyaw",
	"getrollratep",
	"getrollratei",
	"getrollrated",
	"getrollrate",
	"getpitchratep",
	"getpitchratei",
	"getpitchrated",
	"getpitchrate",
	"getyawratep",
	"getyawratei",
	"getyawrated",
	"getyawrate",
	"getlatp",
	"getlati",
	"getlatd",
	"getlat",
	"getlongp",
	"getlongi",
	"getlongd",
	"getlong",
	"getheightp",
	"getheighti",
	"getheightd",
	"getheight"
}

const char * cmToString(int msgType, const struct controller_message *cm) 
{
	switch (msgType) {
		case DEBUG_ID :
		case PACKETLOG_ID :
		case GETPACKETLOGS_ID :
		case UPDATE_ID :
		case BEGINUPDATE_ID :
		case LOG_ID:
		case RESPONSE_ID:
		case SETCONTROL_ID:
		case GETCONTROL_ID:
			return NULL;
			break;
		case RESPCONTROL_ID:
			return respContStrings[cm->id + cm->value_id];
			break;
		default:
			return NULL;
			break;
	}
}
